libstdc++: compare File Reference

libstdc++

compare File Reference

Go to the source code of this file.

## Classes
struct | std::compare_three_way_result< _Tp, _Up >
struct | std::type_order< _Tp, _Up >

## Namespaces
namespace | std
namespace | std::__detail

## Typedefs
template<typename _Tp, typename _Up>
using | std::__detail::__cmp3way_res_t
template<typename... _Ts>
using | std::common_comparison_category_t
template<typename _Tp, typename _Up = _Tp>
using | std::compare_three_way_result_t
using | std::__cmp_cat::type

## Enumerations
enum class | _Ord : type { equivalent , less , greater , unordered }

## Functions
template<typename... _Ts>
constexpr auto | std::__detail::__common_cmp_cat ()
template<typename _Ordering>
constexpr _Ordering | std::__cmp_cat::__make (_Ord __o) noexcept
template<typename _Ordering>
constexpr _Ord | std::__cmp_cat::__ord (_Ordering __o) noexcept
constexpr bool | std::is_eq (partial_ordering __cmp) noexcept
constexpr bool | std::is_gt (partial_ordering __cmp) noexcept
constexpr bool | std::is_gteq (partial_ordering __cmp) noexcept
constexpr bool | std::is_lt (partial_ordering __cmp) noexcept
constexpr bool | std::is_lteq (partial_ordering __cmp) noexcept
constexpr bool | std::is_neq (partial_ordering __cmp) noexcept

## Variables
template<typename _Tp>
constexpr unsigned | std::__detail::__cmp_cat_id
template<>
constexpr unsigned | std::__detail::__cmp_cat_id< partial_ordering >
template<>
constexpr unsigned | std::__detail::__cmp_cat_id< strong_ordering >
template<>
constexpr unsigned | std::__detail::__cmp_cat_id< weak_ordering >
constexpr __compare::_Partial_fallback | std::compare_partial_order_fallback
constexpr __compare::_Strong_fallback | std::compare_strong_order_fallback
constexpr __compare::_Weak_fallback | std::compare_weak_order_fallback
constexpr __compare::_Partial_order | std::partial_order
constexpr __compare::_Strong_order | std::strong_order
template<typename _Tp, typename _Up>
constexpr strong_ordering | std::type_order_v
constexpr __compare::_Weak_order | std::weak_order

## Detailed Description

This is a Standard C++ Library header.

Definition in file compare.

## Typedef Documentation

## ◆ type

using std::__cmp_cat::type

Definition at line 56 of file compare.

## Enumeration Type Documentation

## ◆ _Ord

enum class std::__cmp_cat::_Ord : type
| strong

Definition at line 58 of file compare.

## Function Documentation

## ◆ __make()

template<typename _Ordering>

_Ordering std::__cmp_cat::__make | ( | _Ord | __o | ) |
| constexprnoexcept

Definition at line 74 of file compare.

## ◆ __ord()

template<typename _Ordering>

_Ord std::__cmp_cat::__ord | ( | _Ordering | __o | ) |
| constexprnoexcept

Definition at line 68 of file compare.